//Script permettant de vérifier l'effort au niveau du manche du simulateur


//Paramètres géométriques
//l0=411e-3
lbis=364e-3
l1=97e-3 // deuxième longueur du manche 
l=112e-3 //Longueur de la bielle
d2=30e-3
d1=35e-3
c=85e-3
b=30e-3 //d2
a=112e-3
mu0=c+d1+d2

//Soit theta l'angle de tangage du manche
theta=linspace(-20*%pi/180,20*%pi/180,200);

lambda=l1*sin(theta);
figure();
plot(theta*180/%pi,lambda)
title('lambda en fonction de theta')


theta3=linspace(-50*%pi/180,50*%pi/180,20);
lambdabis=-((l^2-(b-d2*cos(theta3)).^2).^(1/2)-a-d2*sin(theta3));
thetabis=asin(lambdabis/l2);
figure()
plot(lambdabis,theta3*180/%pi)
xgrid(1)

title('theta 3 en fonction de lambda')
//hold on
//plot(,linspace(min(theta3)*180/%pi,max(min(theta3)*180/%pi),25),'k--')

figure()
plot(thetabis*180/%pi,lambdabis)
title('lambdabis en fonction de theta bis')

theta2=asin((b-d2*cos(theta3))./l);

figure
plot(thetabis*180/%pi,theta3*180/%pi)
title('Theta3 en fonction de theta1')

theta5=atan((d2+d1)*sin(theta3)./(((d2+d1)*cos(theta3)+c)));
figure
plot(thetabis*180/%pi,theta5*180/%pi)
title('Theta5 en fonction de theta1')
mu=((d2+d1)^2*sin(theta3).^2+((d2+d1)*cos(theta3)+c).^2).^(1/2);


deltal=mu-mu0
figure()
plot(thetabis*180/%pi,-deltal)
xgrid(1))
title('allongement ressort en fonction de l angle de tangage du manche')


// Effort 
k=(60-50)/50e-3
F0=50
//Effort ressort :
Fr=k*deltal+F0
//Couple ressort
Cr=-Fr.*l1*(d1+d2).*sin(theta5-theta3)./(d2*cos(theta2-theta3)).*cos(theta2).*cos(thetabis)

// coefficient du à l'amortisseur 
Coeff_av=l1*(d1+d2).*sin(theta5-theta3)./(d2*cos(theta2-theta3)).*cos(theta2).*cos(thetabis)

//Effort utilisateur
Fu=Fr.*l1/lbis*(d1+d2).*sin(theta5-theta3)./(d2*cos(theta2-theta3)).*cos(theta2)

figure
plot(thetabis*180/%pi,Cr)
title('couple ressort en fonction de theta1')


figure
plot(thetabis*180/%pi,Coeff_av)
title('Coeff amortisseur en fonction de theta1')

// Creation d'un fichier pour lebloc look-up table
xy=[thetabis',Cr'];
fprintfMat("xy.xy", xy, "%13.7f");

xyamor=[thetabis',Coeff_av'];
fprintfMat("xyamor.xy", xyamor, "%13.7f");
